Pre-release — content may change.

Communication preferences

List available communication preferences

GET
/communication_preferences/available

Lists the communication preferences available to the authenticated user. Returns the same resource shape as the index, but only when the communication_preferences tenant feature is enabled (otherwise an empty collection). This collection is not paginated.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

include?string

Comma-separated related resources to include (only children).

Response Body

application/json

application/json

curl -X GET "https://example.com/communication_preferences/available?include=children"
{  "data": [    {      "type": "communication_preferences",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "attributes": {        "sublist_key": "string",        "description": "string",        "description_en": "string",        "description_fr": "string",        "help_text": "string",        "help_text_en": "string",        "help_text_fr": "string",        "short_label": "string",        "merge_field_name": "string",        "weight": 0,        "default": true      },      "relationships": {        "parent": {          "data": {            "type": "communication_preferences",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        },        "children": {          "data": [            {              "type": "communication_preferences",              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"            }          ]        }      },      "links": {        "self": "/communication_preferences/7247ad7d-9275-454b-9e3a-0570e403739e"      },      "meta": {}    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}